# CLOCK

```
void SET_CLOCK_TIME(int hour, int minute, int second)
void PAUSE_CLOCK(bool toggle)
int GET_CLOCK_HOURS()
int GET_CLOCK_MINUTES()
int GET_CLOCK_SECONDS()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/clock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
